# -*- coding: utf-8 -*-
#
#   Copyright (c) 2023 Billy2011 @vuplus-support.org
#
from __future__ import absolute_import
from Components.Language import language
from Tools.Directories import resolveFilename, SCOPE_PLUGINS
import gettext
import os
from os import environ as os_environ
from six import PY2 as IS_PY2

__version__ = "20231005-r1"
PluginLanguageDomain = 'SamsungTVPlus'
PluginLanguagePath = 'Extensions/SamsungTVPlus/locale'


try:
    from enigma import eMediaDatabase
    isDreamOS = True
except:
    isDreamOS = False


def maybe_encode(text, encoding="utf8"):
    if IS_PY2:
        if isinstance(text, unicode):
            return text.encode(encoding)
        else:
            return text
    else:
        return text


def localeInit():
    if isDreamOS:
        lang = language.getLanguage()[:2]
        os_environ["LANGUAGE"] = lang

    gettext.bindtextdomain(PluginLanguageDomain, resolveFilename(SCOPE_PLUGINS, PluginLanguagePath))








if isDreamOS:  # check if DreamOS image
    _ = lambda txt: gettext.dgettext(PluginLanguageDomain, txt) if txt else ""
    localeInit()
    language.addCallback(localeInit)
else:
    def _(txt):
        if gettext.dgettext(PluginLanguageDomain, txt):
            return gettext.dgettext(PluginLanguageDomain, txt)
        else:
            print(("[%s] fallback to default translation for %s" % (PluginLanguageDomain, txt)))
            return gettext.gettext(txt)
    language.addCallback(localeInit())